# List every agent on your account

> GET /agents. HeyRik API parameters and documented request and response examples.

Source: https://www.heyrik.com/docs/api-reference/agents/get-agents-list-every-agent-on-your-account

GET https://server.heyrik.com/api/v1/agents

## Headers

Authorization: Bearer $HEYRIK_API_KEY (required). Keep your key on your server.

## Request example

```sh
curl https://server.heyrik.com/api/v1/agents \
  -H "Authorization: Bearer $HEYRIK_API_KEY"
```

## Response example

```json
{
  "data": [
    {
      "id": "agc_9f2a1c30",
      "name": "Support Agent",
      "language": "en-IN",
      "greeting": "Hi, thanks for calling Acme — how can I help?",
      "system_prompt": "You are a friendly support agent…",
      "voice_settings": { "voice_id": "vx_9f2a1c30", "speed": 1.0 },
      "config": { "mode": "prompt", "languages": ["en-IN", "hi-IN"] },
      "owner_id": "usr_2c30d0ac",
      "created_at": "2026-07-20T09:14:02.881Z"
    }
  ]
}
```
